package com.fzm.mall.server.front.user.service;

import java.util.List;
import java.util.Set;


public interface IRedisService {
	
	public String getKey(String key);
	
	public void setKey(String key, String value);

	public void setKey(String key, String value, long activeTime);

	public void expire(String key, long activeTime);

	public Long incr(String key);

	public void del(String key);

	public void setHashKey(String key, String field, String value);

	public String getHashKey(String key, String field);

	public List<Object> getHashKeys(String key);

	public void push(String key, String val);

	public void rpush(String key, String val);

	public String pop(String key);

	public Long removeForList(String listKey, Long num, String key);

	public List<String> lRange(String k, long l, long l1);

	public void addForSet(String key, String val);

	public void removeForSet(String key, String val);

	public Set<String> getSet(String key);

	
	public Boolean setNx(String k);
	
}
